QELECTROTECH(1)

NOM
qelectrotech - Éditeur de schémas électriques

SYNOPSIS
qelectrotech [--common-elements-dir=REP] [--config-dir=REP] [--lang-dir=REP] [--help] [-v|--version] [--license] [FICHIER]...

DESCRIPTION
QElectroTech est un éditeur de schémas électriques. Les schémas (*.qet) et les éléments électriques (*.elmt) sont enregistrés au format XML. Les éléments disposables sur le schéma peuvent provenir de la collection commune ou de la collection utilisateur. Typiquement, la collection commune est accessible à tous les utilisateurs mais elle n'est pas éditable par eux. La collection utilisateur est propre à chaque utilisateur et peut être modifiée comme bon lui semble.

OPTIONS

--common-elements-dir=REP
    Utilise le dossier REP comme racine de la collection d'éléments commune. Note : cette option n'est activée que si la directive QET_ALLOW_OVERRIDE_CED_OPTION a été spécifiée durant la compilation.

--config-dir=REP
    Utilise le dossier REP comme dossier de configuration de l'utilisateur courant. Ce dossier accueille un fichier qelectrotech.conf contenant la configuration de l'application et un sous-dossier elements contenant la collection d'éléments de l'utilisateur. Note : cette option n'est activée que si la directive QET_ALLOW_OVERRIDE_CD_OPTION a été spécifiée durant la compilation.

--lang-dir=REP
    Recherche les fichiers de traduction de l'application dans le dossier REP.

--help
    Affiche une courte description des options disponibles

-v, --version
    Affiche la version de l'application (exemple : 0.1).

--license
    Affiche la licence de l'application (GNU/GPL).

À noter que si l'une des trois dernières options est specifiée dans la ligne de commande, le programme s'arrête après affichage de l'information correspondante. Si une instance de l'application a déjà été lancée par l'utilisateur, c'est celle-ci qui prendra en compte la ligne de commande, et notamment les fichiers à ouvrir. Les options redéfinissant les dossiers (collection commune, répertoire de configuration et fichiers de langue) ne seront toutefois pas pris en compte. Si le nom d'un fichier à ouvrir se termine par .elmt, QElectroTech essaiera de l'ouvrir dans un éditeur d'élément. Autrement, il les considérera comme des schémas.

AUTEURS
Benoît Ansieau <benoit@qelectrotech.org>
Xavier Guerrin <xavier@qelectrotech.org>
Laurent Trinques <scorpio@qelectrotech.org>

SIGNALER DES BUGS
Si vous rencontrez un comportement qui vous paraît anormal dans l'application, consultez notre FAQ <http://qelectrotech.org/wiki/doku.php?id=doc:faq> et notre BugTracker <http://qelectrotech.org/bugtracker/> pour voir si le problème n'est pas déjà connu. Dans la négative, soumettez un rapport de bug via le BugTracker.

COPYRIGHT
Copyright © Les développeurs de QElectroTech
Licence : GNU/GPL v2+ : <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il est fourni tel quel et SANS AUCUNE GARANTIE.

VOIR AUSSI
Site officiel : <http://qelectrotech.org/>